Subject: Re: bug#47578: bug found running guix pull

From: Leo Famulari <[email-masked]>
Date: Sat, 3 Apr 2021 19:15:52 -0400

Okay, glad to hear it, and thank you for reporting it!  

I'm closing this bug now but please send another message if the problem
happens again while running the new guix-daemon.

On Sat, Apr 03, 2021 at 03:16:59PM -0500, Nathan Dehnel wrote:
> Yes, it worked after several tries.
> 
> On Sat, Apr 3, 2021, 12:19 PM Leo Famulari <[email-masked]> wrote:
> 
> > On Sat, Apr 03, 2021 at 12:41:10AM -0500, Nathan Dehnel wrote:
> > > ERROR:
> > >   1. &nar-error:
> > >       file: #f
> > >       port: #<input-output: file 10>
> > > guix pull: error: You found a bug: the program
> > > '/gnu/store/w6596kfg55g578dvwaayfj7alq7g88j0-compute-guix-derivation'
> > > failed to compute the derivation for Guix (version:
> > > "86c39376cc00ed19758a2861c11f85fa5b94cda4"; system: "x86_64-linux";
> > > host version: "d4987a50cef3983c4bd68c1c2c52270946c4f113"; pull-version:
> > 1).
> > > Please report it by email to <[email-masked]>.
> >
> > I'm not sure, but I think it's a case of <https://bugs.gnu.org/47157>.
> >
> > If it is, it's a networking problem that occurs when updating Guix... so
> > the solution is to keep trying until `guix pull` and then restart
> > guix-daemon. Let us know how it goes!
> >